Create warehouse
curl --request POST \
--url https://{companyName}.api.joinluminous.com/external/api/v1/warehouses \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"address": "<string>",
"street_address_1": "<string>",
"street_address_2": "<string>",
"city": "<string>",
"state": "<string>",
"zip": "<string>",
"country": "<string>",
"is_pick_location": true
}
'import requests
url = "https://{companyName}.api.joinluminous.com/external/api/v1/warehouses"
payload = {
"name": "<string>",
"address": "<string>",
"street_address_1": "<string>",
"street_address_2": "<string>",
"city": "<string>",
"state": "<string>",
"zip": "<string>",
"country": "<string>",
"is_pick_location": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
address: '<string>',
street_address_1: '<string>',
street_address_2: '<string>',
city: '<string>',
state: '<string>',
zip: '<string>',
country: '<string>',
is_pick_location: true
})
};
fetch('https://{companyName}.api.joinluminous.com/external/api/v1/warehouses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"status": "<string>",
"name": "<string>",
"address": "<string>",
"street_address_1": "<string>",
"street_address_2": "<string>",
"city": "<string>",
"state": "<string>",
"zip": "<string>",
"country": "<string>",
"is_pick_location": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"message": "<string>"
}{
"message": "<string>"
}Warehouses
Create warehouse
Create a new warehouse (top-level location).
POST
/
warehouses
Create warehouse
Authorizations
Authenticate using a bearer token. To create a token, navigate to /settings/api-tokens and click Create API Token.
Body
application/json
Warehouse name
Maximum string length:
255Street address
Street address line 1
Street address line 2
City
Maximum string length:
255State/province
Maximum string length:
255Postal/ZIP code
Maximum string length:
255Country
Maximum string length:
255Whether this is a pick location
Response
Warehouse created
Warehouse ID
Warehouse status (e.g. active, inactive)
Warehouse name
Street address
Street address line 1
Street address line 2
City
State/province
Postal/ZIP code
Country
Whether this warehouse is a pick location
When the warehouse was created
When the warehouse was last updated
⌘I